---
search:
  tags:
    - Pipelines
    - GET
seo:
  description: >-
    Reference for the GET
    /project/{project_id}/environment/{environment_id}/pipelines/{pipeline_id}/stages/{pipeline_stage_id}/components
    endpoint in the…
sidebar:
  label: List pipeline stage components
  badge: GET
title: List pipeline stage components
type: openapi-operation
---
Returns the components a stage deploys.

`GET /project/{project_id}/environment/{environment_id}/pipelines/{pipeline_id}/stages/{pipeline_stage_id}/components`

**Responses**

- `200` — Pipeline stage components retrieved successfully
- `default` — Error

Response example, 200:

```json
[
  {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "stage_id": "f38d2b9c-0a0a-4eea-91a8-e974413bb670",
    "component_id": "41afafe5-2a48-424a-baef-34c2ad44ef7b",
    "component_kind": "Kjob",
    "is_required": true,
    "timeout_seconds": 0,
    "created_at": "2019-08-24T14:15:22Z"
  }
]
```
